// Copyright (C) 2009 - DIGITEO - Pierre MARECHAL <pierre.marechal@scilab.org>
//               2021 Éric Dubois
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
//


mode(-1);
lines(0);

TOOLBOX_NAME  = "Grocer";
TOOLBOX_TITLE = "Grocer";

toolbox_dir = get_absolute_file_path("builder.sce");

load(toolbox_dir+'\param\GROCER_version.dat')
if evstr(part(getversion(),8:10)) < 6 then
   rmdir(toolbox_dir+'\macros\xlreadwrite')
   rmdir(toolbox_dir+'\help\en_US\z2_xlreadwrite')
   deletefile(toolbox_dir+'\help\en_US\a3_basic\readxlsx.xml')
   deletefile(toolbox_dir+'\help\en_US\a3_basic\expbd2xls.xml')
end

if evstr(part(getversion(),8:10)) == 6 then
   mdelete(toolbox_dir+'\macros\model\model_transfeq1.sci')
   mdelete(toolbox_dir+'\macros\model\check_variables_ineq.sci')
   mdelete(toolbox_dir+'\macros\model\check_variables_ineq2.sci')
   copyfile(toolbox_dir+'\macros\model\model_transfeq1_SCI6_0.sci',toolbox_dir+'\macros\model\model_transfeq1.sci')
   copyfile(toolbox_dir+'\macros\model\check_variables_ineq_SCI6_0.sci',toolbox_dir+'\macros\model\check_variables_ineq.sci')
   copyfile(toolbox_dir+'\macros\model\check_variables_ineq2_SCI6_0.sci',toolbox_dir+'\macros\model\check_variables_ineq2.sci')
else
   mdelete(toolbox_dir+'\macros\model\model_transfeq1_SCI6_0.sci')
   mdelete(toolbox_dir+'\macros\model\check_variables_ineq_SCI6_0.sci')
   mdelete(toolbox_dir+'\macros\model\check_variables_ineq2_SCI6_0.sci')
end

tbx_builder_macros(toolbox_dir);
tbx_builder_help(toolbox_dir);
v = getversion('scilab');
if v(1)>=6 then
    tbx_build_loader(toolbox_dir);
else
    tbx_build_loader(TOOLBOX_NAME,toolbox_dir);
end

write(%io(2),' ')
write(%io(2),'GROCER '+GROCER_version+' installed')
write(%io(2),' ')
write(%io(2),'Note that Grocer is distributed under the CeCILL license (http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt)')
write(%io(2),'and that by using Grocer you therefore accept to comply to the terms of this license')

write(%io(2),' ')
write(%io(2),'Please, we would greatly appreciate if you could send us an e-mail at grocer.toolbox@free.fr to inform us that you have installed grocer')
if evstr(part(getversion(),8:10)) >= 6 then
   write(%io(2),' ')
   write(%io(2),' xlreadwrite installed')
   write(%io(2),' ')
end
clear v TOOLBOX_NAME TOOLBOX_TITLE toolbox_dir ;

