function [r1,r2,r3]=automatic_d()
 
global GROCERDIR;
 
// provide an example for the use of automatic, taken
// for:
// Krolzig, H.-M. and Hendry, D.F. (2001): "Computer Automation
//  of General-to-Specific Model Selection Procedures", Journal
// of Economic Dynamics and Control, 25 (6-7), 831-866.
 
load(GROCERDIR+'/data/bdhenderic.dat') ;
 
bounds('1964q3','1989q2')
// column HE in table 9 of Hendry and Krozlig paper
r=ols('delts(lm1-lp)','lagts(lm1-lp-ly)','delts(lp)','rnet','delts(lagts(lm1-lp-ly))','cte')
 
// this example allows the user to recover
// the results of columns Final model A and Final model B
// in table 9 of Hendry and Krozlig paper
// note: a few specifications tests have not the same value as in
// their paper, but, since it is not the case for table 10, I assume
// that there are errors in their table 9 figures
 
timer();[r1]=automatic('delts(lm1-lp)','lagts(lm1-lp-ly)',...
'delts(lp)',...
'rnet',...
'delts(lagts(lm1-lp))','delts(lagts(2,lm1-lp))','delts(lagts(3,lm1-lp))','delts(lagts(4,lm1-lp))',...
'delts(ly)','delts(lagts(1,ly))','delts(lagts(2,ly))','delts(lagts(3,ly))','delts(lagts(4,ly))',...
'delts(delts(lp))','delts(delts(lagts(1,lp)))','delts(delts(lagts(2,lp)))','delts(delts(lagts(3,lp)))','delts(delts(lagts(4,lp)))',...
'delts(rnet)','delts(lagts(1,rnet))','delts(lagts(2,rnet))','delts(lagts(3,rnet))','delts(lagts(4,rnet))',...
'cte','prt=initial,final,test_final',...
'test=predfailin(0.5),predfailin(0.9),doornhans,arlm(5),hetero_sq');timer()
 
[r2]=automatic('delts(lm1-lp)','lagts(lm1-lp-ly)',...
'delts(lagts(lp))',...
'lagts(rnet)',...
'delts(lagts(lm1-lp))','delts(lagts(2,lm1-lp))','delts(lagts(3,lm1-lp))','delts(lagts(4,lm1-lp))',...
'delts(ly)','delts(lagts(1,ly))','delts(lagts(2,ly))','delts(lagts(3,ly))','delts(lagts(4,ly))',...
'delts(delts(lp))','delts(delts(lagts(1,lp)))','delts(delts(lagts(2,lp)))','delts(delts(lagts(3,lp)))','delts(delts(lagts(4,lp)))',...
'delts(rnet)','delts(lagts(1,rnet))','delts(lagts(2,rnet))','delts(lagts(3,rnet))','delts(lagts(4,rnet))',...
'cte','prt=final,test_final',...
'test=predfailin(0.5),predfailin(0.9),doornhans,arlm(5),hetero_sq')
 
 
// retrieves table 10 in Hendry and Krozlig paper
// needs (rather curiously) to perform predictive failure tests
// not exactly at the middle and at 90% of the sample
bounds('1964q1','1989q2')
[r3]=automatic('lm1',...
'lagts(lm1)','lagts(2,lm1)','lagts(3,lm1)','lagts(4,lm1)',...
'lp','lagts(1,lp)','lagts(2,lp)','lagts(3,lp)','lagts(4,lp)',...
'ly','lagts(1,ly)','lagts(2,ly)','lagts(3,ly)','lagts(4,ly)',...
'rnet','lagts(1,rnet)','lagts(2,rnet)','lagts(3,rnet)','lagts(4,rnet)',...
'cte','prt=initial,final,st2_mod,test_final',...
'test=predfailin(0.51),predfailin(0.862),doornhans,arlm(5),hetero_sq','alpha=0.05')
 
endfunction
 
 
 
 
 
