function bortho=orthog2vec(b)
 
// PURPOSE: from a matrix forming a set of vectors of a R^n
// space, find an basis of the set orthogonal
// ------------------------------------------------------------
// INPUT:
// * b = a (nr x nc) matrix
// ------------------------------------------------------------
// OUTPUT:
// * bortho= a (nr x (nr-nc)) matrix orthogonal to b
// ------------------------------------------------------------
// Copyright: Eric Dubois 2009
// http://grocer.toolbox.free.fr/grocer.html
 
[nr,nb]=size(b)
m=eye(nr,nr)
bortho=m(:,1)
i=1
cont=%t
while cont then
   if bkwols([b bortho],1) > 10000 then
    // the added column to bortho belongs to the set generated by b
    // go the next coluimn of matrix m
      bortho(:,$)=[]
      bortho=[bortho m(:,i+1)]
      i=i+1
   else
   // orthogonalize with respect to the previous columns and normalize the added column
      mc=m(:,i)-[b bortho(:,1:$-1)]*ols0(m(:,i),[b bortho(:,1:$-1)])
      mc=mc/sqrt(sum(mc .^ 2))
      bortho=[bortho(:,1:$-1) mc]
      if size(bortho,2) == nr-nb then
      // the matrix has the required dimension
         cont=%f
      else
      // add the next column of matrix m
         bortho=[bortho m(:,i+1)]
         i=i+1
      end
   end
end
 
endfunction
