function [B]=repmat(A,m,n)
 
// PURPOSE: A function to mimic Matlab function repmat,
// that replicates and tiles an array
//---------------------------------------------------
// INPUT:
// * A = a matrix
// * m = a scalar or a (1xk) vector
// * n = a scalar (used only if m is a scalar)
// --------------------------------------------------
// OUTPUT:
// B = the replication and tiling of A
// --------------------------------------------------
 
// Copyright Eric Dubois 2003
// http://grocer.toolbox.free.fr/grocer.html
 
[nargout,nargin] = argn(0)
[p,q] = size(m);
if max(p,q) == 1 then
   if nargin == 2 then
      n=m
   end
elseif min(p,q) == 1 then
   m=vec2row(m)
   if size(m,2) == 2 then
      m=m(1)
      n=m(2)
   else
      error('sorry: this feature of repmat is not implemented in Scilab')
   end
else
   error('in repmat the second argument should be a scalar or a vector')
end
 
B=[]
Bj=[]
for j=1:n
   Bj=[Bj A]
end
for i=1:m
   B=[B ; Bj]
end
 
endfunction
 
