function save_gauss(varargin)
 
// PURPOSE: mimics gauss function rndnb: Computes pseudo-random
// numbers with negative binomial distribution
// ------------------------------------------------------------
// INPUT:
// * r = scalar, number of rows of resulting matrix
// * c = scalar, number of cols of resulting matrix
// * k = (M x N) matrix, (E x E) conformable with (r x c)
//   resulting matrix, “event” parameters for negative binomial
//   distribution
// * k = (K x L) matrix, (E x E) conformable with (r x c)
//   resulting matrix, “probability” parameters for negative
//   binomial distribution
// ------------------------------------------------------------
// OUTPUT:
// * x =  a (r x c) matrix, negative binomial distributed
//   pseudo-random numbers
// ------------------------------------------------------------
// Copyright Eric Dubois 2010
// http://grocer.toolbox.free.fr/grocer.html
 
 
 
endfunction
 
