function tsmat2ts(grocer_tsmat,grocer_names,grocer_prefix,grocer_noprint)
 
// PURPOSE: transform a tsmat into n ts
// ------------------------------------------------------------
// INPUT:
// * tsmat = a tsmat object
// * grocer_names = a string, collecting the subset of variables
//   in the tsmat to transform into ts
// ------------------------------------------------------------
// OUTPUT:
// * the corresponding ts (created with the resume capability)
// ------------------------------------------------------------
// Copyright Eric Dubois 2008-2019
// http://grocer.toolbox.free.fr/grocer.html
 
[grocer_nargout,grocer_nargin]=argn(0)
if grocer_nargin == 4 then
   grocer_prt=%f
else
   grocer_prt=%t
end

grocer_s=grocer_tsmat('series')
grocer_nts=size(grocer_s,2)
 
if grocer_nargin < 2 then
   grocer_names=grocer_tsmat('names')
   grocer_nbnames=size(grocer_names,'*')
   grocer_indnames=1:grocer_nbnames
 
elseif isempty(grocer_names) then
   grocer_names=grocer_tsmat('names')
   grocer_nbnames=size(grocer_names,'*')
   grocer_indnames=1:grocer_nbnames
 
else    
   grocer_tsmat_names=grocer_tsmat('names')
   grocer_names=stripblanks(grocer_names)
   grocer_index=[]

   for grocer_i=1:size(grocer_names,'*')
      grocer_index_i=find(grocer_tsmat_names == grocer_names(grocer_i))
      if isempty(grocer_index_i) then
         warning('no variable '+grocer_names(grocer_i)+' found in tsmat')
      end
      grocer_index=[grocer_index;grocer_index_i]
   end
   grocer_indnames=unique(grocer_index)
   grocer_nbnames=size(grocer_indnames,'*')
   grocer_names=grocer_tsmat_names(grocer_indnames)
 
end
if grocer_nargin >= 3 then
   if ~isempty(grocer_prefix) then
      grocer_names=grocer_prefix+grocer_names
   end
end

if or(grocer_tsmat(1) == 'comments') then
   grocer_comm=grocer_tsmat('comments')
   for grocer_i=1:grocer_nbnames
      grocer_j=grocer_indnames(grocer_i)
      execstr(grocer_names(grocer_i)+'=tlist([''ts'';''freq'';''dates'';''series'';''comment''],grocer_tsmat(''freq''),grocer_tsmat(''dates''),grocer_s(:,grocer_j),grocer_comm(grocer_j))')
 
   end
 
else
   for grocer_i=1:grocer_nbnames
      grocer_j=grocer_indnames(grocer_i)
      execstr(grocer_names(grocer_i)+'=tlist([''ts'';''freq'';''dates'';''series''],grocer_tsmat(''freq''),grocer_tsmat(''dates''),grocer_s(:,grocer_j))')
 
   end
end
 
grocer_strnames=strcat(grocer_names,',')
if grocer_prt then
   try
      write(%io(2),'ts '+grocer_strnames+' will be created','(a)')
   catch
      disp('ts '+grocer_strnames+' will be created')
   end
end
execstr('['+grocer_strnames+',grocer_tsnames]=resume('+grocer_strnames+',grocer_names)')
 
endfunction
